## augur 20.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -b html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## augur 6.4.2

=== debian/changelog ===
augur (6.4.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 07:54:56 +0200

augur (6.4.2-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix formatting of manpage

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 08:03:51 +0100

augur (6.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #954777)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Mar 2020 15:03:35 +0100

=== debian/control ===
Source: augur
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-biopython <!nocheck>,
               python3-jsonschema <!nocheck>,
               python3-packaging <!nocheck>,
               python3-pandas <!nocheck>,
               python3-treetime <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/augur
Vcs-Git: https://salsa.debian.org/med-team/augur.git
Homepage: https://github.com/nextstrain/augur
Rules-Requires-Root: no

Package: augur
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython,
         python3-boto (>= 2.38.0),
         python3-cvxopt,
         python3-dendropy,
         python3-jsonschema,
         python3-matplotlib (>= 1.5.1),
         python3-packaging,
         python3-pandas (>= 0.16.2),
         python3-schedule,
         python3-seaborn (>= 0.6.0),
         python3-treetime,
         seqmagick,
         python3-ipdb,
         python3-bcbio-gff
Description: pipeline components for real-time virus analysis
 The nextstrain project is an attempt to make flexible informatic
 pipelines and visualization tools to track ongoing pathogen evolution as
 sequence data emerges. The nextstrain project derives from nextflu,
 which was specific to influenza evolution.
 .
 nextstrain is comprised of three components:
 .
   * fauna: database and IO scripts for sequence and serological data
   * augur: informatic pipelines to conduct inferences from raw data
   * auspice: web app to visualize resulting inferences

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name LICENSE.txt -delete

## augur 8.0.0

=== debian/changelog ===
augur (8.0.0-2) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 20 Jul 2020 16:54:55 +0530

augur (8.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Removing files created/changed during build.

 -- Steffen Moeller <moeller@debian.org>  Sat, 13 Jun 2020 00:20:41 +0200

augur (7.0.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: python3-freezegun, python3-pytest-mock, vcftools
  * Depends: mafft,iqtree, raxml, fasttree, vcftools

 -- Andreas Tille <tille@debian.org>  Wed, 08 Apr 2020 16:49:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-biopython <!nocheck>,
                python3-jsonschema <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-treetime <!nocheck>
+               python3-treetime <!nocheck>,
+               python3-freezegun <!nocheck>,
+               vcftools <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
@@ -36,7 +39,12 @@
          python3-treetime,
          seqmagick,
          python3-ipdb,
-         python3-bcbio-gff
+         python3-bcbio-gff,
+         mafft,
+         iqtree,
+         raxml,
+         fasttree,
+         vcftools
 Description: pipeline components for real-time virus analysis
  The nextstrain project is an attempt to make flexible informatic
  pipelines and visualization tools to track ongoing pathogen evolution as

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_install:
 	dh_install
 	find debian -name LICENSE.txt -delete
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf .pytest_cache nextstrain_augur.egg-info

## augur 10.0.3

=== debian/changelog ===
augur (10.0.3-2) unstable; urgency=medium

  * Augur is installable only for Architecture: amd64 i386 due to its
    dependencies.  Thus do the tests only on these architectures.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 15:27:28 +0100

augur (10.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 25 Oct 2020 14:45:39 +0530

augur (10.0.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 10.0.2
  * Update Build-Deps
  * Do not install fasta files

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 14 Sep 2020 17:35:33 +0530

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               mafft,
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>,

## augur 10.0.4

=== debian/changelog ===
augur (10.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 09 Nov 2020 21:38:01 +0530

## augur 10.1.1

=== debian/changelog ===
augur (10.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 19 Nov 2020 01:46:12 +0530

## augur 10.2.0

=== debian/changelog ===
augur (10.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 02 Jan 2021 20:49:17 +0530

## augur 10.3.0

=== debian/changelog ===
augur (10.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 18 Jan 2021 19:35:13 +0530

## augur 11.0.0

=== debian/changelog ===
augur (11.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 11:14:44 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: augur
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -17,7 +17,7 @@
                python3-treetime <!nocheck>,
                python3-freezegun <!nocheck>,
                vcftools <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_install:
 	dh_install
 	find debian -name LICENSE.txt -delete
+	find debian -name '*.fasta' -delete
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-freezegun, python3-pytest-mock
Restrictions: allow-stderr
Architecture: amd64 i386

=== debian/watch ===
version=4

https://github.com/nextstrain/augur/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## augur 14.0.0

=== debian/changelog ===
augur (14.0.0-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: python3-networkx <!nocheck>

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 21:15:05 +0100

augur (13.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 08:15:28 +0100

augur (13.0.2-2) unstable; urgency=medium

  * d/control: Depend on python3-boto3 instead of python3-boto

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 13:11:50 +0530

augur (13.0.2-1) unstable; urgency=medium

  * New upstream version 13.0.2
  * d/watch: Switch seeking in tags instead of releases
  * Update manpage

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:51:57 +0530

augur (13.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Oct 2021 20:54:16 +0530

augur (13.0.0-1) unstable; urgency=medium

  * Update manpage
  * New upstream version 13.0.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 18:52:12 +0530

augur (12.0.0-1) unstable; urgency=medium

  * New upstream version 12.0.0

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 16:39:39 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: augur
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,12 +13,14 @@
                python3-pytest-mock <!nocheck>,
                python3-biopython <!nocheck>,
                python3-jsonschema <!nocheck>,
+               python3-networkx <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pandas <!nocheck>,
                python3-treetime <!nocheck>,
                python3-freezegun <!nocheck>,
-               vcftools <!nocheck>
-Standards-Version: 4.5.1
+               vcftools <!nocheck>,
+               python3-xopen
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
@@ -28,15 +31,15 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-biopython,
-         python3-boto (>= 2.38.0),
+         python3-boto3,
          python3-cvxopt,
          python3-dendropy,
          python3-jsonschema,
-         python3-matplotlib (>= 1.5.1),
+         python3-matplotlib,
          python3-packaging,
-         python3-pandas (>= 0.16.2),
+         python3-pandas,
          python3-schedule,
-         python3-seaborn (>= 0.6.0),
+         python3-seaborn,
          python3-treetime,
          seqmagick,
          python3-ipdb,
@@ -45,7 +48,8 @@
          iqtree,
          raxml,
          fasttree,
-         vcftools
+         vcftools,
+         python3-xopen
 Description: pipeline components for real-time virus analysis
  The nextstrain project is an attempt to make flexible informatic
  pipelines and visualization tools to track ongoing pathogen evolution as

=== debian/watch ===
version=4

https://github.com/nextstrain/augur/tags .*/v?(\d\S+)\.tar\.gz

## augur 17.1.0

=== debian/changelog ===
augur (17.1.0-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Remove myself from uploaders

  [ Étienne Mollier ]
  * d/control: demote iqtree as a Recommends.
    iqtree is not available on arm64 platforms, but augur seems to be
    able to operate without it.
  * d/t/control: re-enable tests on arm64 architecture.

 -- Étienne Mollier <emollier@debian.org>  Sat, 01 Oct 2022 17:55:35 +0200

augur (17.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:53:20 +0200

augur (17.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 14:40:31 +0200

augur (16.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 13:57:08 +0200

augur (16.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Jul 2022 17:47:31 +0200

augur (16.0.1-1) unstable; urgency=medium

  * d/control: add myself to Uploaders.
  * New upstream version 16.0.1
  * d/t/run-unit-test: use --supported python3 versions instead of --requested.
  * d/createmanpages: minor adjustment for augur.1 arguments list.
  * d/augur.1: update manual page for version 16.0.1.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Jun 2022 22:40:54 +0200

augur (15.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 15 May 2022 15:16:15 +0200

augur (15.0.1-1) unstable; urgency=medium

  * New upstream version
  * Proper filename for upstream tarball
  * Build-Depends: python3-isodate

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 14:07:28 +0200

augur (14.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 06:58:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: augur
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -18,9 +18,10 @@
                python3-pandas <!nocheck>,
                python3-treetime <!nocheck>,
                python3-freezegun <!nocheck>,
+               python3-isodate <!nocheck>,
                vcftools <!nocheck>,
                python3-xopen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
@@ -45,11 +46,11 @@
          python3-ipdb,
          python3-bcbio-gff,
          mafft,
-         iqtree,
          raxml,
          fasttree,
          vcftools,
          python3-xopen
+Recommends: iqtree
 Description: pipeline components for real-time virus analysis
  The nextstrain project is an attempt to make flexible informatic
  pipelines and visualization tools to track ongoing pathogen evolution as

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-freezegun, python3-pytest-mock
Restrictions: allow-stderr
Architecture: amd64 arm64 i386

## augur 18.0.0

=== debian/changelog ===
augur (18.0.0-1) unstable; urgency=medium

  * New upstream version
  * Versioned (Build-)Depends: python3-treetime (>= 0.9.4)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 21:21:12 +0200

## augur 18.1.0

=== debian/changelog ===
augur (18.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 09:31:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-networkx <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pandas <!nocheck>,
-               python3-treetime <!nocheck>,
+               python3-treetime (>= 0.9.4) <!nocheck>,
                python3-freezegun <!nocheck>,
                python3-isodate <!nocheck>,
                vcftools <!nocheck>,
@@ -41,7 +41,7 @@
          python3-pandas,
          python3-schedule,
          python3-seaborn,
-         python3-treetime,
+         python3-treetime (>= 0.9.4),
          seqmagick,
          python3-ipdb,
          python3-bcbio-gff,

## augur 18.1.2

=== debian/changelog ===
augur (18.1.2-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Nov 2022 10:48:53 +0100

## augur 19.2.0

=== debian/changelog ===
augur (19.2.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * (Build-)Depends: python3-pyfastx, python3-zstandard

  [ Nilesh Patra ]
  * Versioned dep and B-D on xopen

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 03:50:40 +0530

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,14 @@
                python3-networkx <!nocheck>,
                python3-packaging <!nocheck>,
                python3-pandas <!nocheck>,
+               python3-pyfastx <!nocheck>,
                python3-treetime (>= 0.9.4) <!nocheck>,
                python3-freezegun <!nocheck>,
                python3-isodate <!nocheck>,
+               python3-zstandard <!nocheck>,
                vcftools <!nocheck>,
-               python3-xopen
-Standards-Version: 4.6.1
+               python3-xopen (>= 1.7.0-1~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
@@ -39,9 +41,11 @@
          python3-matplotlib,
          python3-packaging,
          python3-pandas,
+         python3-pyfastx,
          python3-schedule,
          python3-seaborn,
          python3-treetime (>= 0.9.4),
+         python3-zstandard,
          seqmagick,
          python3-ipdb,
          python3-bcbio-gff,
@@ -49,7 +53,7 @@
          raxml,
          fasttree,
          vcftools,
-         python3-xopen
+         python3-xopen (>= 1.7.0-1~)
 Recommends: iqtree
 Description: pipeline components for real-time virus analysis
  The nextstrain project is an attempt to make flexible informatic

## augur 20.0.0

=== debian/changelog ===
augur (20.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 15:07:04 +0100

augur (19.2.0-2) unstable; urgency=medium

  * d/control: target python3.11 only.
  * d/t/run-unit-test: switch to requested python3 versions.
  * d/t/control: remove test dependency python3-all.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Jan 2023 10:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mafft,
-               python3-all,
+# FIXME: restore support for python3-all when python3.10 is removed
+               python3,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
@@ -28,6 +29,7 @@
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
 Rules-Requires-Root: no
+X-Python3-Version: >= 3.11
 
 Package: augur
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-freezegun, python3-pytest-mock
Restrictions: allow-stderr
Architecture: amd64 arm64 i386

## augur 22.2.0

=== debian/changelog ===
augur (22.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 16:09:57 +0200

augur (22.1.0-1) unstable; urgency=medium

  * New upstream version 22.1.0
  * d/control: checks depend on mypy and python3-typeshed.
  * d/rules: copy mypy.ini to pybuild directories.
    This file is necessary to mypy, but the test item is run outside the
    source directory context when started by pybuild.
  * missing-imports.patch: new: missing pandas types.
    The pandas types are necessary for running the mypy test successfully,
    but these types are not available (yet), so the missing imports must
    be ignored for that module too.
  * d/t/control: autopkgtest also depend on mypy and typeshed.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Jul 2023 22:52:40 +0200

augur (22.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 24 Jun 2023 15:57:47 +0200

augur (22.0.2-1) unstable; urgency=medium

  * New upstream version
  * Drop ancient X-Python-Version field (routine-update)
  * d/control: restore support for python3-all
  * d/tests/*: re-enable tests on all python3 versions

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Jun 2023 13:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                mafft,
-# FIXME: restore support for python3-all when python3.10 is removed
-               python3,
+               mypy <!nocheck>,
+               python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
@@ -19,17 +19,17 @@
                python3-pandas <!nocheck>,
                python3-pyfastx <!nocheck>,
                python3-treetime (>= 0.9.4) <!nocheck>,
+               python3-typeshed <!nocheck>,
                python3-freezegun <!nocheck>,
                python3-isodate <!nocheck>,
                python3-zstandard <!nocheck>,
                vcftools <!nocheck>,
-               python3-xopen (>= 1.7.0-1~)
+               python3-xopen (>= 1.7.0-1~),
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.11
 
 Package: augur
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,12 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .pytest_cache nextstrain_augur.egg-info
+
+# The below hoops are required for the test involving mypy.  If this turns out
+# to be too problematic to maintain, then it is also probably fine to just skip
+# unconditionally this particular test.
+BUILD_DIRS := $(wildcard $(CURDIR)/.pybuild/cpython*_*/build)
+execute_before_dh_auto_test:
+	$(foreach build_dir,$(BUILD_DIRS), cp -v mypy.ini $(build_dir) &&) :
+execute_after_dh_auto_test:
+	$(foreach build_dir,$(BUILD_DIRS), rm -v $(build_dir)/mypy.ini &&) :

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         mypy,
         python3-all,
         python3-pytest,
         python3-freezegun,
         python3-pytest-mock,
         python3-typeshed
Restrictions: allow-stderr
Architecture: amd64 arm64 i386

## augur 24.2.2

=== docs/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # Minimal makefile for Sphinx documentation
 #
 
-# You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+# You can set these variables from the command line, and also
+# from the environment for the first two.
+SPHINXOPTS    ?= -n
+SPHINXBUILD   ?= sphinx-build
 SOURCEDIR     = .
 BUILDDIR      = _build

=== paper/Makefile ===
all : paper.pdf

paper.pdf : paper.md paper.bib example-modular-augur-workflows.pdf
	pandoc --citeproc --bibliography=paper.bib --template template.tex -s $< -o $@

# example-modular-augur-workflows.pdf : example-modular-augur-workflows.dot
# 	dot -Tpdf $< > $@

clean :
	# rm -f paper.pdf example-modular-augur-workflows.pdf
	rm -f paper.pdf

=== debian/changelog ===
augur (24.2.2-1) unstable; urgency=medium

  * New upstream version 24.2.2
  * pandas2.0.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 19:35:20 +0100

augur (24.1.0-1) unstable; urgency=medium

  * New upstream version
  * s/parse_time_string()/parse_datetime_string_with_reso()/ to gain
    pandas 2.0 compatitibility (Thanks for the hint to
    s3v <c0llapsed@yahoo.it>)
    Closes: #1044079

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2024 19:07:50 +0100

augur (24.0.0-1) unstable; urgency=medium

  * New upstream version  (Closes: #1044079)

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Jan 2024 20:41:16 +0100

augur (23.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Thu, 23 Nov 2023 15:08:35 +0100

augur (23.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 27 Sep 2023 21:36:46 +0200

augur (23.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: tests depend on flake8
  * d/rules: copy .flake8 over pybuild directories.
    This is necessary so that the flake8 test runs with the configuration
    intended by upstream.
  * d/t/control: autopkgtest depends on flake8.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Sep 2023 20:50:50 +0200

augur (22.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 01 Sep 2023 21:34:48 +0200

augur (22.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 17:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               flake8 <!nocheck>,
                mafft,
                mypy <!nocheck>,
                python3-all,

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 	dh_auto_clean
 	rm -rf .pytest_cache nextstrain_augur.egg-info
 
-# The below hoops are required for the test involving mypy.  If this turns out
-# to be too problematic to maintain, then it is also probably fine to just skip
-# unconditionally this particular test.
+# The below hoops are required for the tests involving mypy and flake8.
 BUILD_DIRS := $(wildcard $(CURDIR)/.pybuild/cpython*_*/build)
 execute_before_dh_auto_test:
 	$(foreach build_dir,$(BUILD_DIRS), cp -v mypy.ini $(build_dir) &&) :
+	$(foreach build_dir,$(BUILD_DIRS), cp -v .flake8 $(build_dir) &&) :
 execute_after_dh_auto_test:
 	$(foreach build_dir,$(BUILD_DIRS), rm -v $(build_dir)/mypy.ini &&) :
+	$(foreach build_dir,$(BUILD_DIRS), rm -v $(build_dir)/.flake8 &&) :

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Tests: run-unit-test
 Depends: @,
+         flake8,
          mypy,
          python3-all,
          python3-pytest,

## augur 24.4.0

=== debian/changelog ===
augur (24.4.0-3) unstable; urgency=medium

  * Team upload.
  * Run the autopkgtests on all architectures, there are no restrictions
    anymore.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Sep 2025 16:23:40 +0200

augur (24.4.0-2) unstable; urgency=medium

  * Team upload.
  * Switch to pybuild-autopkgtest, skip mypy & flake8 tests as they are for
    upstream developers only.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Sep 2025 12:06:20 +0200

augur (24.4.0-1) unstable; urgency=medium

  * New upstream version 24.4.0
  * pandas-2.2.patch: new: fix ftbfs with pandas 2.2. (Closes: #1071122)
  * d/rules: cleanup the .mypy_cache landing into debian/.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 18:48:34 +0200

augur (24.3.0-1) unstable; urgency=medium

  * New upstream version 24.3.0
  * d/control: declare compliance to standards version 4.7.0.
  * pandas2.0.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 11:23:38 +0200

augur (24.2.3-1) unstable; urgency=medium

  * New upstream version 24.2.3
  * pandas2.0.patch: document bug forwarding upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 10:00:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               flake8 <!nocheck>,
                mafft,
-               mypy <!nocheck>,
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>,
@@ -26,11 +24,12 @@
                python3-zstandard <!nocheck>,
                vcftools <!nocheck>,
                python3-xopen (>= 1.7.0-1~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/augur
 Vcs-Git: https://salsa.debian.org/med-team/augur.git
 Homepage: https://github.com/nextstrain/augur
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: augur
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+export PYBUILD_TEST_ARGS=-k 'not (test_mypy or test_flake8)'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -10,6 +11,7 @@
 	dh_install
 	find debian -name LICENSE.txt -delete
 	find debian -name '*.fasta' -delete
+	$(RM) -r debian/augur/usr/lib/python3.*/dist-packages/.mypy_cache
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/nextstrain/augur/tags .*/v?(\d\S+)\.tar\.gz
